Subject: Re: [PATCH] LSM networking: skb hooks for 2.5.42 (2/7)

From: Greg KH <[email-masked]>
Date: Tue, 15 Oct 2002 12:45:45 -0700

On Tue, Oct 15, 2002 at 12:34:43PM -0700, David S. Miller wrote:
>    From: Greg KH <[email-masked]>
>    Date: Tue, 15 Oct 2002 12:16:26 -0700
>    
>    That being said, a number of people have asked that the networking hooks
>    be able to "be compiled away", so we will be glad to do this.
> 
> That's the only big beef I have with the LSM stuff,
> on a whole.
> 
> I want to be able to say CONFIG_SECURITY=n and all of
> this stuff totally disappears.  So use macros that expand
> to the security_ops->foo() when it's enabled, and compile
> into do { } while (0) when it is disabled.

Fair enough, mind if I create a CONFIG_SECURITY_NETWORK that we can use
for this?

The other LSM hooks seem to be working just fine compiled in, but I can
understand the network speed issues.

thanks,

greg k-h